Debian Bug report logs - #300096
RM: electric -- RoQA; orphaned >3years, no recent interest, only meta-pkg rdepends

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Kyle McMartin <kyle@debian.org>

Date: Thu, 17 Mar 2005 16:48:18 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#300096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kyle McMartin <kyle@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kyle McMartin <kyle@debian.org>
To: submit@bugs.debian.org
Subject: O: electric -- electrical CAD system
Date: Thu, 17 Mar 2005 11:29:26 -0500
Package: wnpp
Severity: normal

I no longer have time to maintain this package. The new upstream version
is out, but is written in Java instead, I am unable to make enough time
to move to the new version.

Regards,
	Kyle



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#300096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Wesley J Landaker <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 300096@bugs.debian.org (full text, mbox):

From: Wesley J Landaker <wjl@icecavern.net>
To: 300096@bugs.debian.org
Subject: electric: java implementation free software?
Date: Tue, 29 Mar 2005 20:55:21 -0700
[Message part 1 (text/plain, inline)]
I am interested in adopting this, as I have a great interest in 
supporting CAD and EDA tools in Debian, but I have concerns about the 
freeness of the Java version of electric.

I have written to GNU to try to get some clarification. If it looks 
likely that this could be put into main and used with a free Java 
environment, I will probably adopt this.

-- 
Wesley J. Landaker <wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2

[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#300096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 300096-quiet@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: John Hendrickson <johndhendrickson22124@yahoo.com>
Cc: 300096-quiet@bugs.debian.org
Subject: Re: electric
Date: Fri, 3 Jun 2005 22:25:06 -0600
[Message part 1 (text/plain, inline)]
Hi John,

On Friday 03 June 2005 21:27, John Hendrickson wrote:
> I filed in ITP (reportbug wnpp) to electric.
>
> I'm not a maintainer (I'm trying to ITP a package for mentoring) (unless
> I find somewhere in docs that isn't right).
>
> I did forget seeing your message that you might ITP electric.  My ITP
> wasn't successfull
>
> Anyway: so it's still RFA.  I'm not serious about getting that particular
> package.  Though it's a good (I agree with you statements about it).
>
> (as far as I know, you ITP an available pkg before dl'ing and changing
> source and presenting the results to a mentor - I haven't read perfectly
> all docs on Debian site yet though)

The main reasons I have not yet ITP'd electric are:

1) The latest version of electric is written entirely in Java, which is not 
a problem in-and-of-itself, but electric has licensing issues because it 
includes non-free binary-only proprietary Java class files apparently 
without a license, and even when those are stripped away, it doesn't 
currently run on any free Java platforms, mostly because of it's dependency 
on Eclipse, which is not yet in, but "coming soon" to, the main archive. If 
the licensing were worked out and it were packaged, it would currently have 
to go in contrib or non-free, until Eclipse is in main.

2) The old version of electric, written in C, is very buggy, outdated, and 
unmaintained. That's the version currently packaged and is RFA'd. I don't 
really want to pick up the package if it's stuck at that version, as it's 
not particularly useful to me.

So, I still intend to adopt this package, but I am only willing to do so 
once I can get the latest version of it into main. However, if you want to 
either pick up the package as is and not move to the new Java-based 
version, or if you want to package the new version and put it into contrib 
or non-free, I wouldn't complain. Just know what you're getting yourself 
into. ;)

-- 
Wesley J. Landaker <wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#300096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 300096-quiet@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: John Hendrickson <johndhendrickson22124@yahoo.com>
Cc: 300096-quiet@bugs.debian.org
Subject: Re: electric
Date: Sat, 4 Jun 2005 10:02:20 -0600
[Message part 1 (text/plain, inline)]
On Saturday 04 June 2005 09:26, you wrote:
> My say is put electric in main if you want to: User's will like it and
> won't be harmed.

> I don't see a licensing problem.  But there is a "build" issue but I
> don't see any debian rules meantioning it.

Sorry, I guess I wasn't being specific enough. =) There are several reasons 
that Java-based electric can't go in main.

1) It doesn't run using only dependencies that are in main. It doesn't 
currently run with any of the free Java virtual machines in main, and 
requires bsh which is in contrib (because it and/or it's dependencies don't 
run with free Java VMs). At best, this means electric would have to be 
moved to contrib. A package cannot be in any circumstances be in main 
unless all of it's dependencies are also in main, and it can be built using 
only software available in main.

2) There are a number of class files without any sources, for example:

./com/apple/eawt/ApplicationAdapter.class
./com/apple/eawt/ApplicationBeanInfo.class
./com/apple/eawt/Application.class
./com/apple/eawt/ApplicationEvent.class
./com/apple/eawt/ApplicationListener.class
./com/apple/eawt/CocoaComponent.class
./com/apple/eio/FileManager.class

These are binary-only, proprietary class files without available sources, 
owned by Apple. Before these could be distributed, we'd need a license from 
Apple to distribute them, as no such license is given or referenced in the 
electric source jar. 

If we had such a license, and distributed these files, it could only be 
through non-free, because without source code, this completely fails the 
DFSG.

If we remove these files from the version we distribute (and thus factor 
them out of the code where they are used--they are apparently stubs for use 
on MacOSX or something) that would let us at least be in contrib.

3) There is not any copyright declaration for the overall project in the 
source jar file--this isn't too big a deal, as most of the sources included 
do have copyright statements in them--but each file needs examination to 
make sure it's actually licensed appropriately. Especially because of the 
existance of unlicensed Apple binaries in the jar, this is especially 
important to be sure that we have a license to distribute all the code.

4) If electric is upgraded and put in contrib or non-free, many 
architectures have completely lost the ability to run it (as packaged in 
Debian). There are no available Java VM's, even non-free ones, that will 
run electric on many of Debian's architectures where electric currently 
works. This also means that those who wish to use only Free Software on 
their computers could no longer use the electric packaged in Debian.

So, again, if you want to take care of all this stuff and put it in non-free 
or contrib, that's fine, but those are the reasons I have not done so.

> You have the source and binary under favorable and suitable terms; which
> is all the User needs.  

This is mostly true, except for the binary-only, non-licensed files that are 
included in the Jar. Supposedly (but it needs checking on a per-file basis) 
everything else in under the GPL.

> The user can modify but *may* (today) need Sun Java to compile his/her
> modification (depends on *how* it's modified). 

Unfortunately, not only does a user need non-free Java to compile 
modifications, but they need it to run the software, as it currently 
stands. This is partly because of limitations in free Java VMs today, so 
perhaps would be better to be surmounted by improving free Java, rather 
than trying to modify electric. For the user, the issue is the same--they 
cannot today run electric without non-free Java.

> But I think it isn't good for Debian or User if debain's rules are taken
> to exlcude matured Java projects.  And sooner or later any java coder is
> going to end up at least trying Sun's java.

Many Java programs are in main, and a lot of folks are working hard to get 
more Java programs moved from contrib to main as possible (see the 
debian-java mailing list if you're interested), but they must run using 
only Java software that is in main. 

Otherwise, they can go in contrib and users can still get them, but at a 
cost to their freedom.

> ALSO.  There is pleanty of GPL software out there that can't be compiled
> on Debian's developement platform.  There isn't any rule that all free C
> code must be written within Debian's  gcc's version.

That is true, but none of that software can be included in Debian main, 
until that condition changes. Typically, the best way to do it is by trying 
to get the dependencies and improvements needed into Debian main, so that 
the desired software can get into main as well. In the meantime, it's 
perfectly acceptable to put such software in contrib.

> Debian's java can't (I haven't tried it) *build*.  

Debian's Java can't build it, or run it. Remember Java programs, unless they 
are compiled to native binaries by something like gcj, also need a Java 
virtual machine. In this case, electric doesn't run on any free Java VMs, 
at least not as of a few weeks ago. I would be thrilled if the situation 
has changed. =)

> But there isn't anything in Debian's rules that say you have to be able to
> build a binary from the source without free outside help.

For Debian main, yes, the rules do say that you must be able to build a 
binary from source without any help outside Debian main. For contrib, 
however, you are correct--it could require build or runtime dependencies 
that are not available in Debian.

> I think it's really a question of whether to exclude *all* potential GPL
> software in Java (and most serious Java people are going to use Sun's)
> based on the fact that Sun is an outside download.

Most serious Java people, who don't care about software freedom, or who are 
put into a situation where their hand is forced, are going to use Sun's 
Java, perhaps. 

There is lots of GPL Java software in main right now, so this has nothing to 
do with Java software in general.

> I won't touch the package.  You seem interested enough to check into it
> and if I were you I wouldn't do it without asking AMs and other DMs
> either.

Please understand, I'm not trying to keep you (or anyone) away from the 
package. Really--feel free to adopt it or work on it, if it interests you! 

I really cannot say how long it will be until it can get into main, however, 
which is the primary reason I'm holding back. If moving it to contrib 
sounds okay with you, I think you could probably get it packaged and 
working pretty easily.

But I think it's important to understand the situation before jumping in, as 
it's not quite as straightforward as it appears. =)

-- 
Wesley J. Landaker <wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#300096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 300096@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Bug#300096 <300096@bugs.debian.org>
Cc: Wesley J Landaker <wjl@icecavern.net>, John Hendrickson <johndhendrickson22124@yahoo.com>
Subject: Re: O: electric -- electrical CAD system
Date: Tue, 11 Dec 2007 08:59:36 +0100
Hi,

The 'electric' package has been orphaned for a very long time now (in
fact, it's one of the oldest orphaned packages in Debian). I'm going
through such packages, to see if they can be safely removed from Debian,
since noone seems to care about them.

You are receiving this mail because your name showed up somewhere in the
history of the package, or because I think that you might be interested
for some reason, or because you maintain a related/similar package.  Are
you interested in adopting this package? Do you know potential adopters?
If so, could you forward them this mail, Ccing the BTS and me?

With no action from anyone, I'll request the removal of this package
from Debian after a month.

Thank you,
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#300096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 300096@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Bug#300096 <300096@bugs.debian.org>
Subject: Re: O: electric -- electrical CAD system
Date: Wed, 12 Dec 2007 07:48:08 -0700
[Message part 1 (text/plain, inline)]
On Tuesday 11 December 2007 00:59:36 Lucas Nussbaum wrote:
> The 'electric' package has been orphaned for a very long time now (in
> fact, it's one of the oldest orphaned packages in Debian). I'm going
> through such packages, to see if they can be safely removed from Debian,
> since noone seems to care about them.
>
> You are receiving this mail because your name showed up somewhere in the
> history of the package, or because I think that you might be interested
> for some reason, or because you maintain a related/similar package.  Are
> you interested in adopting this package? Do you know potential adopters?
> If so, could you forward them this mail, Ccing the BTS and me?
>
> With no action from anyone, I'll request the removal of this package
> from Debian after a month.

There are two versions of electric:

  * C implementation -- old and stable, but no new development
  * Java implementation -- new and maintained, but license issues

The C implementation is the only one in Debian. To my knowledge, it works as 
well as it ever did, has no RC bugs, and the bugs that exist are pretty 
trival, so I don't see a good reason to *remove* it, as there may still be 
users depending on it, and there are really NO alternatives that do 
anything close to the same thing.

For reasons I outlined, the Java version of electric was problematic to 
package. I don't know if it still is, because I haven't looked at it in a 
long time, so it's possible all of the problems are resolved.

Anyway, I don't personally have time to maintain electric (either version) 
at the moment. The best path forward would be for a really interested party 
to go work the Java implementation's license issues (if they still remain) 
and package that (probably into contrib, since it probably only works with 
Sun's Java). But if no one steps up, and the remove-everything-that- 
isn't-actively-maintained nazis REALLY want to remove it, so be it. I don't 
use the software anymore myself. =(

-- 
Wesley J. Landaker <wjl@icecavern.net> <xmpp:wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#300096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 300096@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: "Wesley J\. Landaker" <wjl@icecavern.net>
Cc: Bug#300096 <300096@bugs.debian.org>
Subject: Re: O: electric -- electrical CAD system
Date: Wed, 12 Dec 2007 16:02:33 +0100
[Message part 1 (text/plain, inline)]
On 12/12/07 at 07:48 -0700, Wesley J. Landaker wrote:
> But if no one steps up, and the remove-everything-that-
> isn't-actively-maintained nazis REALLY want to remove it, so be it. I
> don't use the software anymore myself. =(

Thank you, you just reached the Godwin point.

Lucas, nazi
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Fri, 08 Aug 2008 03:36:14 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: electric -- RoQA; orphaned >3years, no recent interest, only meta-pkg rdepends' from `O: electric -- electrical CAD system'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Fri, 08 Aug 2008 03:36:15 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kyle McMartin <kyle@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 300096-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 300096-close@bugs.debian.org
Cc: electric@packages.debian.org, electric@packages.qa.debian.org
Subject: Bug#300096: fixed
Date: Fri, 08 Aug 2008 13:04:52 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  electric |     6.05-4 | source, alpha, amd64, arm, armel, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 300096@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Mark Hymers (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Sep 2008 07:34:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:12:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.